Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class AbstractSpaceAroundBraceAstVisitor

- groovy.org.codenarc.rule.formatting.AbstractSpaceAroundBraceAstVisitor

- Abstract superclass for AstVisitor classes dealing with space around braces

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected int` | `indexOfClosingBrace(String line, int blockLastColumn)`
    `` | `protected boolean` | `isNotCharacter(String line, char c, int index)`
    `` | `protected boolean` | `isNotInsideGString()`
    `` | `protected boolean` | `isNotWhitespace(String line, int index)` Return true if the specified (1-based) index is valid and the character at that index is not a whitespace character
    `` | `protected String` | `lastSourceLineOrEmpty(def node)`
    `` | `protected String` | `sourceLineOrEmpty(def node)`
    `` | `void` | `visitGStringExpression(org.codehaus.groovy.ast.expr.GStringExpression expression)`

- - ### Method Detail

    - #### protected int indexOfClosingBrace(String line, int blockLastColumn)

    - #### protected boolean isNotCharacter(String line, char c, int index)

    - #### protected boolean isNotInsideGString()

    - #### protected boolean isNotWhitespace(String line, int index)

      Return true if the specified (1-based) index is valid and the character at that index is not a whitespace character

      Parameters:
        `line` - - the source line to be checked
        `index` - - the 1-based index of the character to be checked
      Returns:
        true only if the character is not a whitespace character

    - #### protected String lastSourceLineOrEmpty(def node)

    - #### protected String sourceLineOrEmpty(def node)

    - #### @Override void visitGStringExpression(org.codehaus.groovy.ast.expr.GStringExpression expression)